@import "../../../../shared/styles/utils/mixins.scss";
@import "../../../../shared/styles/utils/variables.scss";

.transactions-box {
  background-color: $bg-color;
  height: 100%;
  width: 100%;
  max-height: 600px;
  min-height: 250px;

  @media screen and (max-width: $md) {
    width: 375px;
  }

  @media screen and (max-width: $sm) {
    width: 350px;
    height: 275px;
  }

  &__title {
    height: 11%;
    background-color: $bg-color-title;
    display: flex;
    align-items: center;
    padding: 0 15px;
    max-height: 40px;

    &--icon {
      flex: 0 0 10%;
      display: flex;
      align-items: center;
    }

    .icon {
      filter: opacity(0.5);
      height: 25px;

      @media screen and (max-width: $lg) {
        height: 23px;
      }

      @media screen and (max-width: $md) {
        height: 20px;
      }

      @media screen and (max-width: $sm) {
        height: 18px;
      }
    }

    &--text {
      color: $text-color-light;
      flex: 0 0 90%;
      text-align: center;
    }
  }

  &__body {
    padding: 15px;
    height: 89%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;

    .actions {
      flex: 0 0 12%;
      display: flex;
      justify-content: space-between;
      max-height: 35px;

      & > div {
        display: flex;
        align-items: center;
      }

      &__search {
        flex: 0 0 39%;
      }

      &__sort {
        flex: 0 0 59%;
        display: flex;

        &--box {
          flex: 0 0 25%;
          display: flex;
          align-items: center;
          justify-content: center;
        }

        .icon-2 {
          height: 18px;
          transform: rotate(90deg);
          filter: contrast(0.25);
          margin-bottom: 2px;

          @media screen and (max-width: $lg) {
            height: 16px;
            margin-bottom: 3px;
          }

          @media screen and (max-width: $md) {
            height: 14px;
            margin-bottom: 3px;
          }
        }
      }
    }

    .info {
      flex: 0 0 86%;
      overflow: auto;

      &__box {
        border: $gray-100 solid 1px;
        height: 50px;
        display: flex;

        & > div:not(.info__box--text) {
          display: flex;
          align-items: center;
        }

        &--color {
          flex: 0 0 2%;
        }

        &--date {
          flex: 0 0 16%;
          justify-content: center;
        }

        &--logo {
          flex: 0 0 16%;
          justify-content: center;
        }

        &--text {
          flex: 0 0 50%;
          display: flex;
          flex-direction: column;
          justify-content: center;
          align-items: flex-start;
          padding-left: 10px;
        }

        &--amount {
          flex: 0 0 16%;
          justify-content: center;
        }
      }
    }
  }
}
